<template>
	
        <div class="fadeOutRight content-data lectura contentenedor-padding col-md-10 offset-md-1" v-if="hasStartedSession">
            <transition name="fade" mode="out-in">
                <component v-if="!hasCompletedSession" :value="value" :is="component" :key="session.slide_index"></component>
            </transition>
        </div>
            
</template>
<script>

import { mapGetters } from 'vuex'

import sle01 from '../../CourseBuilder/Containers/sle01/index.vue'
import sle02 from '../../CourseBuilder/Containers/sle02/index.vue'
import sle03 from '../../CourseBuilder/Containers/sle03/index.vue'
import sle04 from '../../CourseBuilder/Containers/sle04/index.vue'
import sle05 from '../../CourseBuilder/Containers/sle05/index.vue'
import sle06 from '../../CourseBuilder/Containers/sle06/index.vue'
import sle07 from '../../CourseBuilder/Containers/sle07/index.vue'
import sle08 from '../../CourseBuilder/Containers/sle08/index.vue'
import sle09 from '../../CourseBuilder/Containers/sle09/index.vue'
import sle10 from '../../CourseBuilder/Containers/sle10/index.vue'
import smu01 from '../../CourseBuilder/Containers/smu01/index.vue'
import smu02 from '../../CourseBuilder/Containers/smu02/index.vue'
import smu03 from '../../CourseBuilder/Containers/smu03/index.vue'
import smu04 from '../../CourseBuilder/Containers/smu04/index.vue'
import smu05 from '../../CourseBuilder/Containers/smu05/index.vue'
import smu06 from '../../CourseBuilder/Containers/smu06/index.vue'
import smu07 from '../../CourseBuilder/Containers/smu07/index.vue'
import smu08 from '../../CourseBuilder/Containers/smu08/index.vue'
import smu09 from '../../CourseBuilder/Containers/smu09/index.vue'
import srp01 from '../../CourseBuilder/Containers/srp01/index.vue'
import srp02 from '../../CourseBuilder/Containers/srp02/index.vue'
import srp03 from '../../CourseBuilder/Containers/srp03/index.vue'
import srp04 from '../../CourseBuilder/Containers/srp04/index.vue'
import srp05 from '../../CourseBuilder/Containers/srp05/index.vue'

export default {
    props:{
        completed:{
            type: Boolean
        }
    },
    components: {
        sle01, sle02, sle03, sle04, sle05, sle06, sle07, sle08, sle09, sle10,
		smu01, smu02, smu03, smu04, smu05, smu06, smu07, smu08, smu09,
		srp01, srp02, srp03, srp04, srp05,
    },
    computed: {
        ...mapGetters([
            'hasStartedSession',
            'hasCompletedSession',
            'session',
            //'modaltype',  No necesesario
        ]),
	  		value(){
	  			return this.session.slides[this.session.slide_index].value
	  		},	
	  		component(){
	  			return this.session.slides[this.session.slide_index].component
	  		}
    },
}
</script>
<style>
.wrapper {
    background-color: #f3f4f5 !important;
}
</style>
